package opc.ua.services.common;

import opc.ua.addressspace.datatype.LocalizedText;

public class MethodAttributes {

	private long specifiedAttributes;
	private LocalizedText displayName;
	private LocalizedText description;
	private boolean executable;
	private boolean userExecutable;
	private long writeMask;
	private long userWriteMask;
	
	public long getSpecifiedAttributes() {
		return specifiedAttributes;
	}
	public void setSpecifiedAttributes(long specifiedAttributes) {
		this.specifiedAttributes = specifiedAttributes;
	}
	public LocalizedText getDisplayName() {
		return displayName;
	}
	public void setDisplayName(LocalizedText displayName) {
		this.displayName = displayName;
	}
	public LocalizedText getDescription() {
		return description;
	}
	public void setDescription(LocalizedText description) {
		this.description = description;
	}
	public boolean isExecutable() {
		return executable;
	}
	public void setExecutable(boolean executable) {
		this.executable = executable;
	}
	public boolean isUserExecutable() {
		return userExecutable;
	}
	public void setUserExecutable(boolean userExecutable) {
		this.userExecutable = userExecutable;
	}
	public long getWriteMask() {
		return writeMask;
	}
	public void setWriteMask(long writeMask) {
		this.writeMask = writeMask;
	}
	public long getUserWriteMask() {
		return userWriteMask;
	}
	public void setUserWriteMask(long userWriteMask) {
		this.userWriteMask = userWriteMask;
	}

}
